Page MenuHomePhabricator

Temporary lift of IP cap on en.wikipedia for 21 Jan 2020
Closed, ResolvedPublic

Description

Wikipedia training event for students, taking place at the University of Derby, 21 January 2020 1pm - 3pm (GMT) - expecting roughly 15 people, requesting a temporary lift of IP cap to enable creation of new user accounts.
IP address is 195.194.178.1.
Course page is https://outreachdashboard.wmflabs.org/courses/University_of_Derby/Education_mini-editathon

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptDec 16 2019, 11:26 AM
Urbanecm added a subscriber: Urbanecm.

I think this is a site request rather than sth dashboard-related, feel free to correct me if I'm wrong.

NicholasG04 triaged this task as Medium priority.

Hiya, I'll be working on this task hopefully as part of Google Code-in 2019!

Thank you @NicholasG04! Be free to contact us if you need help.

Just want to check, if I may, whether I should be allowing a grace period before/after the event and also in the value of users? Right now I've extended the exception for one hour either side of the event and also set a value of 25 because 'expecting roughly 15 people', in my mind, may rise up to such number. Is this ok or should I change these settings? Thanks!

I've also assumed this should be enwiki because of being Wikipedia in the UK.

Just want to check, if I may, whether I should be allowing a grace period before/after the event and also in the value of users? Right now I've extended the exception for one hour either side of the event and also set a value of 25 because 'expecting roughly 15 people', in my mind, may rise up to such number. Is this ok or should I change these settings? Thanks!
I've also assumed this should be enwiki because of being Wikipedia in the UK.

This is totally fine.

@Cbderbylib The lift will be implemented for enwiki, do you need any additional projects?

NicholasG04 added a comment.EditedDec 19 2019, 10:31 PM

It says on the dashboard page that it's only on Wikipedia UK so I'll push my changes to Gerrit as described above! Thanks, Mr Urbanec.

Change 559612 had a related patch set uploaded (by NicholasG04; owner: NicholasG04):
[operations/mediawiki-config@master] Added throttle rule for University of Derby mini-editathon

https://gerrit.wikimedia.org/r/559612

It says on the dashboard page that it's only on Wikipedia UK so I'll push my changes to Gerrit as described above! Thanks, Mr Urbanec.

Happy to help!

Scheduled for today Morning SWAT

Change 559612 merged by jenkins-bot:
[operations/mediawiki-config@master] Added throttle rule for University of Derby mini-editathon

https://gerrit.wikimedia.org/r/559612

Mentioned in SAL (#wikimedia-operations) [2020-01-08T00:21:39Z] <reedy@deploy1001> Synchronized wmf-config/throttle.php: T240845 (duration: 01m 04s)

Urbanecm closed this task as Resolved.Jan 9 2020, 12:01 PM